Skip to content
Start here

List Payment Methods

GET/accounts/{account_id}/payment-methods

Lists all payment methods for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
Query ParametersExpand Collapse
page: optional number

Page number of paginated results.

minimum1
per_page: optional number

Number of items per page.

minimum1
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of object { id, address, address2, 22 more }
id: optional string

Payment method identifier.

address: optional string

Billing address line 1.

address2: optional string

Billing address line 2.

bank_account_type: optional string

Bank account type.

bank_code: optional string

Bank code.

bank_country: optional string

Bank country.

bank_name: optional string

Bank name for bank-based payment methods.

bank_routing_number: optional string

Bank routing number.

cashapp_cash_tag: optional string

Cash App cash tag.

city: optional string

Billing city.

country: optional string

Billing country.

default: optional boolean

Whether this is the default payment method.

device_data: optional string

Device data for fraud prevention.

expiration_date: optional string

Card expiration date.

first_name: optional string

Billing first name.

last_four: optional string

Last four digits of the card number.

last_name: optional string

Billing last name.

nick_name: optional string

A nickname for the payment method.

payment_account_email: optional string

Email associated with the payment account.

payment_email: optional string

Payment email address.

payment_gateway: optional string

The payment gateway used.

payment_nonce: optional string

Payment nonce for tokenized payments.

state: optional string

Billing state.

type: optional "CREDIT_CARD" or "PAYPAL" or "CASHAPP" or 3 more

The payment method type.

One of the following:
"CREDIT_CARD"
"PAYPAL"
"CASHAPP"
"SEPA_DEBIT"
"LINK"
"ACH_DIRECT_DEBIT"
zipcode: optional string

Billing zip code.

success: true

Whether the API call was successful

result_info: optional object { count, page, per_page, total_count }
count: optional number

Total number of results for the requested service

page: optional number

Current page within paginated list of results

per_page: optional number

Number of results per page of results

total_count: optional number

Total results available without any search parameters

List Payment Methods

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/payment-methods \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "address": "address",
      "address2": "address2",
      "bank_account_type": "bank_account_type",
      "bank_code": "bank_code",
      "bank_country": "bank_country",
      "bank_name": "bank_name",
      "bank_routing_number": "bank_routing_number",
      "cashapp_cash_tag": "cashapp_cash_tag",
      "city": "city",
      "country": "country",
      "default": true,
      "expiration_date": "expiration_date",
      "first_name": "first_name",
      "last_four": "4242",
      "last_name": "last_name",
      "nick_name": "nick_name",
      "payment_account_email": "payment_account_email",
      "payment_email": "payment_email",
      "state": "state",
      "type": "CREDIT_CARD",
      "zipcode": "zipcode"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "address": "address",
      "address2": "address2",
      "bank_account_type": "bank_account_type",
      "bank_code": "bank_code",
      "bank_country": "bank_country",
      "bank_name": "bank_name",
      "bank_routing_number": "bank_routing_number",
      "cashapp_cash_tag": "cashapp_cash_tag",
      "city": "city",
      "country": "country",
      "default": true,
      "expiration_date": "expiration_date",
      "first_name": "first_name",
      "last_four": "4242",
      "last_name": "last_name",
      "nick_name": "nick_name",
      "payment_account_email": "payment_account_email",
      "payment_email": "payment_email",
      "state": "state",
      "type": "CREDIT_CARD",
      "zipcode": "zipcode"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}